uniform float t;
uniform sampler2D leaf;
uniform sampler2D sky;

varying float u, v;

void main()
{
   u += sin(t);
   v += cos(t);
   
   vec3 texcolor = texture2D(sky,gl_TexCoord[0].st);
   vec3 tempcolor = vec4(sin(40*u),sin(40*v),0.0,1.0);
   
   float alpha = 0.1f;

   gl_FragColor = vec4( (1.0f-alpha)*texcolor.r + alpha*tempcolor.r,
						(1.0f-alpha)*texcolor.g + alpha*tempcolor.g,
						(1.0f-alpha)*texcolor.b + alpha*tempcolor.b,
						1.0 );
}
